メイン コンテンツにスキップ

このブラウザーはサポートされなくなりました。

Microsoft Edge にアップグレードすると、最新の機能、セキュリティ更新プログラム、およびテクニカル サポートを利用できます。

Microsoft Edge をダウンロードする Internet Explorer と Microsoft Edge の詳細情報
microsoft-foundry.rest.security.o-auth2-auth

Agent Sessions

Create a session

POST /agents/{agent_name}/endpoint/sessions

Creates a new session for an agent endpoint. The endpoint resolves the backing agent version from version_indicator and enforces session ownership using the provided user identity for session-mutating operations.

パス パラメーター

agent_name string 必須

The name of the agent to create a session for.

クエリ パラメーター

api-version string 必須

The API version to use for this operation.

要求本文

Content-Type: application/json
agent_session_id string

Optional caller-provided session ID. If specified, it must be unique within the agent endpoint. Auto-generated if omitted.

version_indicator version_ref 必須

Version indicator determining which agent version backs the session.

次のいずれか:
version_ref VersionRefIndicator

Version indicator that references a specific agent version by name.

type enum 必須

Discriminator value for version_ref.

version_ref
agent_version string 必須

The agent version identifier returned by the agent version APIs.

応答

The request has succeeded and a new resource has been created as a result.

本文

Content-Type: application/json
agent_session_id string 必須

The session identifier.

version_indicator version_ref 必須

Version indicator determining which agent version backs the session.

次のいずれか:
version_ref VersionRefIndicator

Version indicator that references a specific agent version by name.

type enum 必須

Discriminator value for version_ref.

version_ref
agent_version string 必須

The agent version identifier returned by the agent version APIs.

status string | enum 必須

The status of an agent session.

次のいずれか:
string
enum
creatingactiveidleupdatingfaileddeletingdeletedexpired
created_at integer 必須

The Unix timestamp (in seconds) when the session was created.

last_accessed_at integer 必須

The Unix timestamp (in seconds) when the session was last accessed.

expires_at integer 必須

The Unix timestamp (in seconds) when the session expires (rolling, 30 days from last activity).

stopped_at integer

The Unix timestamp (in seconds) when the session sandbox was last observed to stop or go idle. Present only after the session has gone idle at least once, used for accurate idle-billing reconciliation.

Client error

本文

Content-Type: application/json
error OpenAI.Error 必須
code string | null 必須
message string 必須
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
次のいずれか:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必須

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

本文

Content-Type: application/json
error OpenAI.Error 必須
code string | null 必須
message string 必須
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
次のいずれか:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必須

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

要求

POST /agents/{agent_name}/endpoint/sessions HTTP/1.1

回答

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
ja-jp
プライバシーの選択
  • AI 免責事項
  • 以前のバージョン
  • ブログ
  • 投稿
  • プライバシー
  • コンシューマーの健康に関するプライバシー
  • 利用条件
  • 商標
  • © Microsoft 2026